/Users/bernard/b20/bsoft/src/rwimg/rwXPLOR.cpp(3)

NAME
/Users/bernard/b20/bsoft/src/rwimg/rwXPLOR.cpp - Routines to read and write XPLOR reflection files.

SYNOPSIS

#include 'rwXPLOR.h'
#include 'linked_list.h'
#include 'Complex.h'
#include 'utilities.h'
#include <fstream>

  Functions
int readXPLORmap (Bimage *p, int readdata)
int readXPLORsf (Bimage *p, int readdata)
int writeXPLORmap (Bimage *p)
int writeXPLORsf (Bimage *p)
int readXPLOR (Bimage *p, int readdata)
Reading a XPLOR map or structure factor file format. A minimal implementation.
int writeXPLOR (Bimage *p)
Writing a XPLOR map or structure factor file format. A text format used in X-ray crystallography.

  Variables
int verbose

Detailed Description

Routines to read and write XPLOR reflection files.

Author:
    Bernard Heymann

Date:
    Created: 19981229

    Modified: 20130429

Definition in file rwXPLOR.cpp.

Function Documentation

  int readXPLOR (Bimage * p, int readdata)

Reading a XPLOR map or structure factor file format. A minimal implementation.

Parameters:
    *p the image structure.
    readdata flag to activate reading of image data.

Returns:
    int error code (<0 means failure).

Definition at line 32 of file rwXPLOR.cpp.

  int readXPLORmap (Bimage * p, int readdata)

Definition at line 51 of file rwXPLOR.cpp.

  int readXPLORsf (Bimage * p, int readdata)

Definition at line 136 of file rwXPLOR.cpp.

  int writeXPLOR (Bimage * p)

Writing a XPLOR map or structure factor file format. A text format used in X-ray crystallography.

Parameters:
    *p the image structure.

Returns:
    int error code (<0 means failure).

Definition at line 221 of file rwXPLOR.cpp.

  int writeXPLORmap (Bimage * p)

Definition at line 238 of file rwXPLOR.cpp.

  int writeXPLORsf (Bimage * p)

Definition at line 304 of file rwXPLOR.cpp.

Variable Documentation

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.